> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getgaana.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Media Config Retrieve

> Retrieves a specific media configuration by its ID.



## OpenAPI

````yaml get /media-config/{id}/
openapi: 3.0.3
info:
  title: Gaana AI Visual On-Brand Generation
  version: v1
  description: >-
    This API helps external developers to use Gaana AI API to create visuals
    (image, video) which resonate with their brand guidelines. They can create
    visuals by giving a concept, providing product images, or using reference
    images that inspire them.
  contact:
    name: Gaana AI Support
    email: support@gaana.ai
  license:
    name: Apache 2.0
    url: https://www.apache.org/licenses/LICENSE-2.0.html
servers:
  - description: Production
    url: https://production.getgaana.com/api
  - description: Stage/Sandbox
    url: https://experiment.getgaana.com/api
security: []
tags:
  - name: auth
    description: Authentication API to generate bearer token
  - name: file_upload
    description: File upload API to upload product images
  - name: products
    description: Product APIs
  - name: concept
    description: Concept APIs
  - name: media-config
    description: Media configuration APIs
  - name: media
    description: Media APIs
paths:
  /media-config/{id}/:
    get:
      tags:
        - media-config
      description: Retrieves a specific media configuration by its ID.
      operationId: media_config_retrieve
      parameters:
        - in: path
          name: id
          schema:
            type: string
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SuccessResponse_B2BGeneratePostConfig'
          description: ''
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: ''
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: ''
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: ''
      security:
        - jwtAuth: []
components:
  schemas:
    SuccessResponse_B2BGeneratePostConfig:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/B2BGeneratePostConfig'
        message:
          type: string
        status:
          $ref: '#/components/schemas/StatusE7cEnum'
      required:
        - data
        - message
        - status
    ErrorResponse:
      type: object
      properties:
        data:
          type: array
          items: {}
        message:
          type: string
        status:
          $ref: '#/components/schemas/ErrorResponseStatusEnum'
      required:
        - message
        - status
    B2BGeneratePostConfig:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        number_of_posts:
          type: integer
          maximum: 2147483647
          minimum: -2147483648
        items:
          type: array
          items:
            $ref: '#/components/schemas/B2BGeneratePostItem'
          readOnly: true
        content_pillar:
          allOf:
            - $ref: '#/components/schemas/B2BContentPillars'
          readOnly: true
      required:
        - content_pillar
        - id
        - items
    StatusE7cEnum:
      enum:
        - success
      type: string
      description: '* `success` - success'
    ErrorResponseStatusEnum:
      enum:
        - failed
      type: string
      description: '* `failed` - failed'
    B2BGeneratePostItem:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        post_type:
          $ref: '#/components/schemas/PostTypeEnum'
        assets: {}
        metadata:
          nullable: true
        variants:
          type: array
          items:
            type: string
        descriptions: {}
      required:
        - id
        - post_type
    B2BContentPillars:
      type: object
      properties:
        id:
          type: string
          format: uuid
          readOnly: true
        name:
          type: string
          readOnly: true
          nullable: true
        description:
          type: string
          readOnly: true
          nullable: true
        created_at:
          type: string
          format: date-time
          readOnly: true
        updated_at:
          type: string
          format: date-time
          readOnly: true
        ref_images:
          readOnly: true
      required:
        - created_at
        - description
        - id
        - name
        - ref_images
        - updated_at
    PostTypeEnum:
      enum:
        - video
        - image
        - carousel
      type: string
      description: |-
        * `video` - Video
        * `image` - Image
        * `carousel` - Carousel
  securitySchemes:
    jwtAuth:
      type: http
      scheme: bearer
      bearerFormat: JWT

````